package ch.psi.daq.queryrest.model;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonInclude.Include;

import ch.psi.daq.query.model.DBMode;

// as RequestBody due to special chars in regex
@JsonInclude(Include.NON_DEFAULT)
public class ChannelsRequest {
   private DBMode dbMode = DBMode.databuffer;
   // null for no regex
   private String regex = null;

   public ChannelsRequest() {}

   public ChannelsRequest(DBMode dbMode, String regex) {
      this.regex = regex;
      this.dbMode = dbMode;
   }
   
   public DBMode getDbMode() {
      return dbMode;
   }

   public void setDbMode(DBMode dbMode) {
      this.dbMode = dbMode;
   }

   public String getRegex() {
      return regex;
   }

   public void setRegex(String regex) {
      this.regex = regex;
   }
}
